< envPaths

dbLoadDatabase("$(TOP)/dbd/dliEpcrTest.dbd")
dliEpcrTest_registerRecordDeviceDriver(pdbbase)

# Simulated DLI PC-8000 EPC
drvAsynIPPortConfigure("ipClient1","127.0.0.1:50080",0,1,0)

# DLI's live demo unit
#drvAsynIPPortConfigure("ipClient1","63.194.78.94:8080",0,1,0)

# Asyn record device for asyn IP port (optional)
dbLoadRecords("$(ASYN)/db/asynRecord.db","P=sim17bm:,R=asyn_ipClient1,PORT=ipClient1,ADDR=0,OMAX=256,IMAX=256")

dbLoadRecords("$(TOP)/dliEpcrApp/Db/dliEpcr.db","P=sim17bm:,D=DliEpcr1,DESC=17-BM")

iocInit()

# Set USER and PWD for device being used
seq("dliEpcr", "P=sim17bm:,D=DliEpcr1,M=PC8000,AP=ipClient1,USER=admin,PWD=admin")

# Test cases

#dliEpcrTestRunner("ipClient1")
